#version 150

in  vec3 in_Position;
in  vec3 in_Normal;
in vec3 in_Color;
uniform vec4 pos;
uniform mat4 modelviewMatrix;
uniform mat4 projectionMatrix;
out float shade;
out vec3 ex_Color;

void main(void)
{
	vec3 pos = vec3(0.7, 0.9, 0.5);
	
	mat3 n = mat3(modelviewMatrix);
	vec3 normal = normalize(n * in_Normal);
	shade = dot(normal, pos)*0.3 + 0.7;
	ex_Color = in_Color;
	gl_Position = projectionMatrix * modelviewMatrix * vec4(in_Position, 1.0);
}
